in scala
object Stream

`object` Stream
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The object `Stream` provides helper functions to manipulate streams.

Author:
  Martin Odersky, Matthias Zenger
Version:
  1.1 08/08/03

Constructor Summary
| `def` this

Val Summary
| `val` empty : scala.Stream[scala.Nothing]

Def Summary
| `def` concat [a] (xs: scala.Iterator[scala.Stream[a]]) : scala.Stream[a]
| `def` concat [a] (xs: scala.Seq[scala.Stream[a]]) : scala.Stream[a]
| `def` cons [a] (hd: a, tl: => scala.Stream[a]) : java.lang.Object with scala.Stream[a]
| `def` from (start: scala.Int) : scala.Stream[scala.Int] Create an infinite stream starting at `start` and incrementing by 1.
| `def` from (start: scala.Int, step: scala.Int) : scala.Stream[scala.Int] Create an infinite stream starting at `start` and incrementing by step `step`
| `def` fromIterator [a] (it: scala.Iterator[a]) : scala.Stream[a]
| `def` range (start: scala.Int, end: scala.Int) : scala.Stream[scala.Int] Create a stream with element values `vn+1 = vn + 1` where `v0 = start` and `vi < end`.
| `def` range (start: scala.Int, end: scala.Int, step: scala.Function1[scala.Int, scala.Int]) : scala.Stream[scala.Int] Create a stream with element values `vn+1 = step(vn)` where `v0 = start` and `vi < end`.
| `def` range (start: scala.Int, end: scala.Int, step: scala.Int) : scala.Stream[scala.Int] Create a stream with element values `vn+1 = vn + step` where `v0 = start` and `vi < end`.

Constructor Detail

`def` this

Val Detail

`val` empty : scala.Stream[scala.Nothing]

Def Detail

`def` concat [a](xs: scala.Iterator[scala.Stream[a]]): scala.Stream[a]

`def` concat [a](xs: scala.Seq[scala.Stream[a]]): scala.Stream[a]

`def` cons [a](hd: a, tl: => scala.Stream[a]): java.lang.Object with scala.Stream[a]

`def` from (start: scala.Int): scala.Stream[scala.Int]

  Create an infinite stream starting at `start` and incrementing by 1.

Parameters:
  `start -` the start value of the stream
Returns:
  the stream starting at value `start`.

`def` from (start: scala.Int, step: scala.Int): scala.Stream[scala.Int]

  Create an infinite stream starting at `start` and incrementing by step `step`

Parameters:
  `start -` the start value of the stream
Parameters:
  `step -` the increment value of the stream
Returns:
  the stream starting at value `start`.

`def` fromIterator [a](it: scala.Iterator[a]): scala.Stream[a]

`def` range (start: scala.Int, end: scala.Int): scala.Stream[scala.Int]

  Create a stream with element values `vn+1 = vn + 1` where `v0 = start` and `vi < end`.

Parameters:
  `start -` the start value of the stream
Parameters:
  `end -` the end value of the stream
Returns:
  the stream starting at value `start`.

`def` range (start: scala.Int, end: scala.Int, step: scala.Function1[scala.Int, scala.Int]): scala.Stream[scala.Int]

  Create a stream with element values `vn+1 = step(vn)` where `v0 = start` and `vi < end`.

Parameters:
  `start -` the start value of the stream
Parameters:
  `end -` the end value of the stream
Parameters:
  `step -` the increment function of the stream
Returns:
  the stream starting at value `start`.

`def` range (start: scala.Int, end: scala.Int, step: scala.Int): scala.Stream[scala.Int]

  Create a stream with element values `vn+1 = vn + step` where `v0 = start` and `vi < end`.

Parameters:
  `start -` the start value of the stream
Parameters:
  `end -` the end value of the stream
Parameters:
  `step -` the increment value of the stream
Returns:
  the stream starting at value `start`.